Using the µVision Socket Interface: UVSOCK_CMD_RESPONSE Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UVSOCK_CMD_RESPONSE Struct Reference
Structs

## Data Fields
UV_OPERATION | cmd
| Command or asynchronous operation to which this is a response. More...
UV_STATUS | status
| Status code indicating if the command was successful or not. More...
union {
UVSOCK_ERROR_RESPONSE err
| Returned if status is not UV_STATUS_SUCCESS or if from UV_ASYNC_MSG. More...
UINT nVal
| Returned by UV_PRJ_ACTIVE_FILES / UV_GEN_GET_VERSION / UV_DBG_STATUS. More...
CYCTS time
| Returned by UV_DBG_TIME_INFO. More...
AMEM amem
| Returned by UV_DBG_MEM_READ / UV_DBG_MEM_WRITE / UV_DBG_DSM_READ. More...
SERIO serdat
| Returned by UV_DBG_SERIAL_OUTPUT / UV_DBG_SERIAL_GET. More...
ITMOUT itmdat
| Returned by UV_DBG_ITM_OUTPUT. More...
EVTROUT evtrOut
| Returned by UV_DBG_EVTR_OUTPUT. More...
VSET vset
| Returned by UV_DBG_VTR_GET / UV_DBG_CALC_EXPRESSION. More...
BKRSP brk
| Returned by UV_DBG_BP_ENUMERATED / UV_DBG_CHANGE_BP. More...
TRNOPT trnopt
| Returned by UV_PRJ_GET_OPTITEM. More...
SSTR str
| Returned by UV_PRJ_ENUM_GROUPS_ENU / UV_PRJ_ENUM_FILES_ENU / UV_PRJ_ENUM_TARGETS_ENU / UV_PRJ_GET_CUR_TARGET / UV_PRJ_GET_OUTPUTNAME/ UV_PRJ_SET_OUTPUTNAME / UV_DBG_EVTR_ENUMSCVDFILES_ENU. More...
EXTVERS evers
| Returned by UV_GEN_GET_EXTVERSION. More...
ENUMTPM tpm
| Returned by UV_DBG_ENUM_SYMTP_ENU. More...
AFLMAP aflm
| Returned by UV_DBG_ADR_TOFILELINE. More...
BPREASON StopR
| Returned by UV_DBG_STOP_EXECUTION. More...
STACKENUM stack
| Returned by UV_DBG_ENUM_STACK_ENU. More...
TASKENUM task
| Returned by UV_DBG_ENUM_TASKS. More...
AVTR vtr
| Returned by UV_DBG_ENUM_VTR_ENU. More...
UVLICINFO licinfo
| Returned by UV_GEN_CHECK_LICENSE. More...
DBGTGTOPT dbgtgtopt
| Returned by UV_PRJ_GET_DEBUG_TARGET. More...
UVSC_PSTAMP powerScaleData
| Returned by UV_DBG_POWERSCALE_SHOWCODE / UV_DBG_POWERSCALE_SHOWPOWER. More...
REGENUM regEnum
| Returned by UV_DBG_ENUM_REGISTERS. More...
VARINFO varInfo
| Returned by UV_DBG_EVAL_WATCH_EXPRESSION, UV_DBG_ENUM_VARIABLES. More...
MENUENUM viewInfo
| Returned by UV_DBG_ENUM_MENUS_ENU. More...
char strbuf [1]
| Returned by UV_DBG_READ_REGISTERS. More...
}; |

## Description

UVSOCK Command response / async message data format

Contains command response data, or async message data. cmd indicates either the command to which this is a response, or the asynchronous message type. status indicates is the command or asynchronous operation was successful. The value of the union depends on the message type, and whether an error occurred. If status is not UV_STATUS_SUCCESS, or it within a UV_ASYNC_MSG packet, then the union will be of type err. Otherwise it will be of the type corresponding to the message type in cmd.

This structure is included in all messages that correspond to the new message response format.

Contained in UVSOCK_CMD_DATA if the message type (m_eCmd) is UV_CMD_RESPONSE or UV_ASYNC_MSG or UV_DBG_CHANGE_BP or UV_DBG_BP_ENUMERATED or UV_PRJ_ENUM_GROUPS_ENU or # or UV_DBG_ENUM_SYMTP_ENU or UV_DBG_ENUM_VTR_ENU or UV_PRJ_ENUM_TARGETS_ENU

## Field Documentation

union { ... }

AFLMAP UVSOCK_CMD_RESPONSE::aflm

Returned by UV_DBG_ADR_TOFILELINE.

AMEM UVSOCK_CMD_RESPONSE::amem

Returned by UV_DBG_MEM_READ / UV_DBG_MEM_WRITE / UV_DBG_DSM_READ.

BKRSP UVSOCK_CMD_RESPONSE::brk

Returned by UV_DBG_BP_ENUMERATED / UV_DBG_CHANGE_BP.

UV_OPERATION UVSOCK_CMD_RESPONSE::cmd

Command or asynchronous operation to which this is a response.

DBGTGTOPT UVSOCK_CMD_RESPONSE::dbgtgtopt

Returned by UV_PRJ_GET_DEBUG_TARGET.

UVSOCK_ERROR_RESPONSE UVSOCK_CMD_RESPONSE::err

Returned if status is not UV_STATUS_SUCCESS or if from UV_ASYNC_MSG.

EXTVERS UVSOCK_CMD_RESPONSE::evers

Returned by UV_GEN_GET_EXTVERSION.

EVTROUT UVSOCK_CMD_RESPONSE::evtrOut

Returned by UV_DBG_EVTR_OUTPUT.

ITMOUT UVSOCK_CMD_RESPONSE::itmdat

Returned by UV_DBG_ITM_OUTPUT.

UVLICINFO UVSOCK_CMD_RESPONSE::licinfo

Returned by UV_GEN_CHECK_LICENSE.

UINT UVSOCK_CMD_RESPONSE::nVal

Returned by UV_PRJ_ACTIVE_FILES / UV_GEN_GET_VERSION / UV_DBG_STATUS.

UVSC_PSTAMP UVSOCK_CMD_RESPONSE::powerScaleData

Returned by UV_DBG_POWERSCALE_SHOWCODE / UV_DBG_POWERSCALE_SHOWPOWER.

REGENUM UVSOCK_CMD_RESPONSE::regEnum

Returned by UV_DBG_ENUM_REGISTERS.

SERIO UVSOCK_CMD_RESPONSE::serdat

Returned by UV_DBG_SERIAL_OUTPUT / UV_DBG_SERIAL_GET.

STACKENUM UVSOCK_CMD_RESPONSE::stack

Returned by UV_DBG_ENUM_STACK_ENU.

UV_STATUS UVSOCK_CMD_RESPONSE::status

Status code indicating if the command was successful or not.

BPREASON UVSOCK_CMD_RESPONSE::StopR

Returned by UV_DBG_STOP_EXECUTION.

SSTR UVSOCK_CMD_RESPONSE::str

Returned by UV_PRJ_ENUM_GROUPS_ENU / UV_PRJ_ENUM_FILES_ENU / UV_PRJ_ENUM_TARGETS_ENU / UV_PRJ_GET_CUR_TARGET / UV_PRJ_GET_OUTPUTNAME/ UV_PRJ_SET_OUTPUTNAME / UV_DBG_EVTR_ENUMSCVDFILES_ENU.

char UVSOCK_CMD_RESPONSE::strbuf[1]

Returned by UV_DBG_READ_REGISTERS.

TASKENUM UVSOCK_CMD_RESPONSE::task

Returned by UV_DBG_ENUM_TASKS.

CYCTS UVSOCK_CMD_RESPONSE::time

Returned by UV_DBG_TIME_INFO.

ENUMTPM UVSOCK_CMD_RESPONSE::tpm

Returned by UV_DBG_ENUM_SYMTP_ENU.

TRNOPT UVSOCK_CMD_RESPONSE::trnopt

Returned by UV_PRJ_GET_OPTITEM.

VARINFO UVSOCK_CMD_RESPONSE::varInfo

Returned by UV_DBG_EVAL_WATCH_EXPRESSION, UV_DBG_ENUM_VARIABLES.

MENUENUM UVSOCK_CMD_RESPONSE::viewInfo

Returned by UV_DBG_ENUM_MENUS_ENU.

VSET UVSOCK_CMD_RESPONSE::vset

Returned by UV_DBG_VTR_GET / UV_DBG_CALC_EXPRESSION.

AVTR UVSOCK_CMD_RESPONSE::vtr

Returned by UV_DBG_ENUM_VTR_ENU.